.NET

Reply
*GPaolo
Message 1 of 6 (164 Views)

interop Api to DotNet

164 Views, 5 Replies
10-02-2006 12:25 AM
I need to convert the commands interop.regen and
interop.zoom?????'(extent,windows,etc) with managed DOTNET equivalent.
Some help?


Thank's in advance
GPaolo
Distinguished Contributor
Alexander Rivilis
Posts: 303
Registered: ‎09-26-2004
Message 2 of 6 (164 Views)

Re: interop Api to DotNet

10-02-2006 04:45 AM in reply to: *GPaolo
It is REGEN equivalent:
[code]
[ System.Security.SuppressUnmanagedCodeSecurity ]
[ DllImport("acad.exe", CallingConvention = CallingConvention.Cdecl) ]
extern static private void ads_regen();
[/code]
Distinguished Contributor
NathTay
Posts: 1,691
Registered: ‎12-15-2003
Message 3 of 6 (164 Views)

Re: interop Api to DotNet

10-02-2006 04:50 PM in reply to: *GPaolo
Using the .NET API.
Autodesk.AutoCAD.EditorInput.Editor.Regen()

Regards - Nathan
*GPaolo
Message 4 of 6 (164 Views)

Re: interop Api to DotNet

10-02-2006 10:50 PM in reply to: *GPaolo
Thank's Nathan and for the ZOOM's serie command?




ha scritto nel messaggio
news:5348132@discussion.autodesk.com...
Using the .NET API.
Autodesk.AutoCAD.EditorInput.Editor.Regen()

Regards - Nathan
Distinguished Contributor
NathTay
Posts: 1,691
Registered: ‎12-15-2003
Message 5 of 6 (164 Views)

Re: interop Api to DotNet

10-02-2006 10:56 PM in reply to: *GPaolo
This is what I could find in the Object Browser.

Autodesk.AutoCAD.GraphicsSystem.View.Zoom(Double)
Autodesk.AutoCAD.GraphicsSystem.View.ZoomExtents(Autodesk.AutoCAD.Geometry.Point3d, Autodesk.AutoCAD.Geometry.Point3d)
Autodesk.AutoCAD.GraphicsSystem.View.ZoomWindow(Autodesk.AutoCAD.Geometry.Point2d, Autodesk.AutoCAD.Geometry.Point2d)

Regards - Nathan
*GPaolo
Message 6 of 6 (164 Views)

Re: interop Api to DotNet

10-06-2006 12:44 AM in reply to: *GPaolo
MANY THANK'S
GPAOLO

ha scritto nel messaggio
news:5348278@discussion.autodesk.com...
This is what I could find in the Object Browser.

Autodesk.AutoCAD.GraphicsSystem.View.Zoom(Double)
Autodesk.AutoCAD.GraphicsSystem.View.ZoomExtents(Autodesk.AutoCAD.Geometry.P
oint3d, Autodesk.AutoCAD.Geometry.Point3d)
Autodesk.AutoCAD.GraphicsSystem.View.ZoomWindow(Autodesk.AutoCAD.Geometry.Po
int2d, Autodesk.AutoCAD.Geometry.Point2d)

Regards - Nathan
Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.